NonEditablePropertyEditor (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.propertyEditor
Class NonEditablePropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.util.propertyEditor.NonEditablePropertyEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

    public class NonEditablePropertyEditor

extends java.beans.PropertyEditorSupport

A PropertyEditor that doesn't let you edit the property.

Constructor Summary
`NonEditablePropertyEditor()` Create NonEditablePropertyEditor.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`java.lang.String` | `getAsText()` Implement PropertyEditor interface.
`java.awt.Component` | `getCustomEditor()` Returns a blank JLabel.
`void` | `setValue(java.lang.Object someObj)` Implement PropertyEditor interface.
`boolean` | `supportsCustomEditor()` PropertyEditor interface.

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonEditablePropertyEditor

    public NonEditablePropertyEditor()

  Create NonEditablePropertyEditor.

Method Detail

### supportsCustomEditor

    public boolean supportsCustomEditor()

  PropertyEditor interface.

  Specified by:
    `supportsCustomEditor` in interface `java.beans.PropertyEditor`
  Overrides:
    `supportsCustomEditor` in class `java.beans.PropertyEditorSupport`
  Returns:
    true

### getCustomEditor

    public java.awt.Component getCustomEditor()

  Returns a blank JLabel.

  Specified by:
    `getCustomEditor` in interface `java.beans.PropertyEditor`
  Overrides:
    `getCustomEditor` in class `java.beans.PropertyEditorSupport`
  Returns:
    JButton button

### setValue

    public void setValue(java.lang.Object someObj)

  Implement PropertyEditor interface.

  Specified by:
    `setValue` in interface `java.beans.PropertyEditor`
  Overrides:
    `setValue` in class `java.beans.PropertyEditorSupport`

### getAsText

    public java.lang.String getAsText()

  Implement PropertyEditor interface.

  Specified by:
    `getAsText` in interface `java.beans.PropertyEditor`
  Overrides:
    `getAsText` in class `java.beans.PropertyEditorSupport`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details